libzypp: zypp::xml::parse_def_assign::Assigner< Tp > Struct Template Reference

libzypp 17.38.6

zypp::xml::parse_def_assign::Assigner< Tp > Struct Template Reference

Assigner assigns text to types constructible from `char*`. More...

`#include <zypp/parser/xml/ParseDefConsume.h>`

## Public Member Functions
| Assigner (Tp &value_r)
void | assign (const char *text_r) override
Assigner specialisation for numeric and boolean values.
relates: Assigner
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)
void | assign (const char *text_r)

## Private Attributes
Tp * | _value

## Detailed Description

template<class Tp>
struct zypp::xml::parse_def_assign::Assigner< Tp >

Assigner assigns text to types constructible from `char*`.

See also
  assigner convenience constructor.

Definition at line 147 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ Assigner()

template<class Tp>

zypp::xml::parse_def_assign::Assigner< Tp >::Assigner | ( | Tp & | value_r | ) |
| inline

Definition at line 149 of file ParseDefConsume.h.

## Member Function Documentation

## ◆ assign() [1/10]

template<class Tp>

void zypp::xml::parse_def_assign::Assigner< Tp >::assign | ( | const char * | text_r | ) |
| inlineoverride

Definition at line 153 of file ParseDefConsume.h.

## ◆ assign() [2/10]

void zypp::xml::parse_def_assign::Assigner< short >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 165 of file ParseDefConsume.h.

## ◆ assign() [3/10]

void zypp::xml::parse_def_assign::Assigner< int >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 167 of file ParseDefConsume.h.

## ◆ assign() [4/10]

void zypp::xml::parse_def_assign::Assigner< long >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 169 of file ParseDefConsume.h.

## ◆ assign() [5/10]

void zypp::xml::parse_def_assign::Assigner< longlong >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 171 of file ParseDefConsume.h.

## ◆ assign() [6/10]

void zypp::xml::parse_def_assign::Assigner< unsignedshort >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 173 of file ParseDefConsume.h.

## ◆ assign() [7/10]

void zypp::xml::parse_def_assign::Assigner< unsigned >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 175 of file ParseDefConsume.h.

## ◆ assign() [8/10]

void zypp::xml::parse_def_assign::Assigner< unsignedlong >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 177 of file ParseDefConsume.h.

## ◆ assign() [9/10]

void zypp::xml::parse_def_assign::Assigner< unsignedlonglong >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 179 of file ParseDefConsume.h.

## ◆ assign() [10/10]

void zypp::xml::parse_def_assign::Assigner< bool >::assign | ( | const char * | text_r | ) |
| inline

Definition at line 181 of file ParseDefConsume.h.

## Member Data Documentation

## ◆ _value

template<class Tp>

Tp* zypp::xml::parse_def_assign::Assigner< Tp >::_value
| private

Definition at line 157 of file ParseDefConsume.h.

The documentation for this struct was generated from the following file:

- zypp/parser/xml/ParseDefConsume.h